# OPSAWG Drafts

This is the working area for individual Internet-Drafts.

## PCAP Capture File Format

* [Editor's Copy](https://ietf-opsawg-wg.github.io/draft-ietf-opsawg-pcap/#go.draft-ietf-opsawg-pcap.html)
* [Individual Draft](https://tools.ietf.org/html/draft-ietf-opsawg-pcap)
* [Compare Editor's Copy to Individual Draft](https://ietf-opsawg-wg.github.io/draft-ietf-opsawg-pcap/#go.draft-ietf-opsawg-pcap.diff)

## PCAP Next Generation (pcapng) Capture File Format

* [Editor's Copy](https://ietf-opsawg-wg.github.io/draft-ietf-opsawg-pcap/#go.draft-ietf-opsawg-pcapng.html)
* [Individual Draft](https://tools.ietf.org/html/draft-ietf-opsawg-pcapng)
* [Compare Editor's Copy to Individual Draft](https://ietf-opsawg-wg.github.io/draft-ietf-opsawg-pcap/#go.draft-ietf-opsawg-pcapng.diff)

## Link-Layer Types for PCAP and PCAPNG Capture File Formats

* [Editor's Copy](https://ietf-opsawg-wg.github.io/draft-ietf-opsawg-pcap/#go.draft-ietf-opsawg-pcaplinktype.html)
* [Individual Draft](https://tools.ietf.org/html/draft-ietf-opsawg-pcaplinktype)
* [Compare Editor's Copy to Individual Draft](https://ietf-opsawg-wg.github.io/draft-ietf-opsawg-pcap/#go.draft-ietf-opsawg-pcaplinktype.diff)

## Building the Draft

Formatted text and HTML versions of the draft can be built using `make`.

```sh
$ make
```

This requires that you have the necessary software installed.  See
[the instructions](https://github.com/martinthomson/i-d-template/blob/master/doc/SETUP.md).


## Contributing

See the
[guidelines for contributions](https://github.com/IETF-OPSAWG-WG/draft-ietf-opsawg-pcap/blob/master/CONTRIBUTING.md).

The pcap and pcapng specifications are written using the
[kramdown](https://kramdown.gettalong.org) superset of
[Markdown](https://daringfireball.net/projects/markdown/syntax) and the
[kramdown-rfc2629](https://github.com/cabo/kramdown-rfc2629) extensions
to kramdown.  This allows
[xml2rfc](https://xml2rfc.tools.ietf.org)-format RFCs and I-Ds to be
written in extended Markdown and converted to xml2rfc.  Xml2rfc was
originally defined in [RFC 2629](https://tools.ietf.org/html/rfc2629);
version 2 is documented in [RFC
7749](https://tools.ietf.org/html/rfc7749), and version 3 is documented
in [RFC 7991](https://tools.ietf.org/html/rfc7991).
